# -*- encoding: utf-8 -*-
# stub: ucf 2.0.2 ruby lib

Gem::Specification.new do |s|
  s.name = "ucf".freeze
  s.version = "2.0.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Robert Haines".freeze, "Finn Bacall".freeze]
  s.date = "2021-08-21"
  s.description = "A Ruby library for working with Universal Container Format files - a type of EPUB document. See the UCF specification (https://learn.adobe.com/wiki/display/PDFNAV/Universal+Container+Format) for details. They are very similar, although not as restrictive, as the EPUB Open Container Format (OCF) (http://www.idpf.org/epub/30/spec/epub30-ocf.html).".freeze
  s.email = ["support@mygrid.org.uk".freeze]
  s.extra_rdoc_files = ["Changes.rdoc".freeze, "Licence.rdoc".freeze, "ReadMe.rdoc".freeze]
  s.files = [".gitignore".freeze, ".ruby-env".freeze, ".ruby-gemset".freeze, ".ruby-version".freeze, ".travis.yml".freeze, "Changes.rdoc".freeze, "Gemfile".freeze, "Licence.rdoc".freeze, "Rakefile".freeze, "ReadMe.rdoc".freeze, "examples/create-ucf".freeze, "examples/ucfinfo".freeze, "examples/verify-ucf".freeze, "lib/ucf.rb".freeze, "lib/ucf/dir.rb".freeze, "lib/ucf/file.rb".freeze, "lib/ucf/meta-inf.rb".freeze, "lib/ucf/schema/OpenDocument-manifest-schema-v1.0-os.rng".freeze, "lib/ucf/schema/container.rng".freeze, "lib/ucf/version.rb".freeze, "test/data/META-INF/container.xml".freeze, "test/data/META-INF/manifest.xml".freeze, "test/data/compressed_mimetype.ucf".freeze, "test/data/dirs/empty/mimetype".freeze, "test/data/dirs/managed/greeting.txt".freeze, "test/data/dirs/managed/mimetype".freeze, "test/data/dirs/null/.gitkeep".freeze, "test/data/empty.ucf".freeze, "test/data/empty.zip".freeze, "test/data/example.ucf".freeze, "test/data/null.file".freeze, "test/tc_create_file.rb".freeze, "test/tc_managed_entries.rb".freeze, "test/tc_read_dir.rb".freeze, "test/tc_read_file.rb".freeze, "test/tc_reserved_names.rb".freeze, "test/ts_ucf.rb".freeze, "ucf.gemspec".freeze, "version.yml".freeze]
  s.homepage = "http://mygrid.github.io/ruby-ucf/".freeze
  s.licenses = ["BSD".freeze]
  s.rdoc_options = ["-N".freeze, "--tab-width=2".freeze, "--main=ReadMe.rdoc".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "3.1.6".freeze
  s.summary = "Universal Container Format (UCF) Ruby Library".freeze
  s.test_files = ["test/ts_ucf.rb".freeze, "test/tc_reserved_names.rb".freeze, "test/tc_read_file.rb".freeze, "test/tc_read_dir.rb".freeze, "test/tc_managed_entries.rb".freeze, "test/tc_create_file.rb".freeze, "test/data/null.file".freeze, "test/data/example.ucf".freeze, "test/data/empty.zip".freeze, "test/data/empty.ucf".freeze, "test/data/dirs/null/.gitkeep".freeze, "test/data/dirs/managed/mimetype".freeze, "test/data/dirs/managed/greeting.txt".freeze, "test/data/dirs/empty/mimetype".freeze, "test/data/compressed_mimetype.ucf".freeze, "test/data/META-INF/manifest.xml".freeze, "test/data/META-INF/container.xml".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rake>.freeze, ["< 14.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.5"])
    s.add_runtime_dependency(%q<rdoc>.freeze, ["< 7.0"])
    s.add_development_dependency(%q<test-unit>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<coveralls>.freeze, [">= 0"])
    s.add_development_dependency(%q<nokogiri>.freeze, ["~> 1.6"])
    s.add_runtime_dependency(%q<zip-container>.freeze, ["~> 4.0.1"])
  else
    s.add_dependency(%q<rake>.freeze, ["< 14.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.5"])
    s.add_dependency(%q<rdoc>.freeze, ["< 7.0"])
    s.add_dependency(%q<test-unit>.freeze, ["~> 3.0"])
    s.add_dependency(%q<coveralls>.freeze, [">= 0"])
    s.add_dependency(%q<nokogiri>.freeze, ["~> 1.6"])
    s.add_dependency(%q<zip-container>.freeze, ["~> 4.0.1"])
  end
end
